<div class="full-width full-height flex-column">
  <div class="flag-cell">
    @for (flag of flagKeys; track flag) {
      <i
        nz-icon
        [nzType]="getIconType(flag)"
        nzTheme="fill"
        class="flag-icon"
        [class.flag-inactive]="isInactive(flag)"
        [style.color]="getTextColor(flag)"
        [style.background-color]="getBackgroundColor(flag)"
        nz-tooltip
        [nzTooltipTitle]="getTooltipText(flag)"
        nzTooltipPlacement="top"
        (click)="updateFlagOnClick(flag)"
      ></i>
    }
  </div>
</div>
